function [Na,Ea,Za]=ASSEa(ax,angle,SpeTL,i,j)

angle = angle*2*pi/360;

if ax(i,j)>=0
    Na = SpeTL(i)*ax(i,j)*cos(angle);
    Ea = -SpeTL(i)*ax(i,j)*sin(angle);
else
    Na = -SpeTL(i)*ax(i,j)*cos(angle);
    Ea = SpeTL(i)*ax(i,j)*sin(angle);
end

% calcolo il coseno dell'angolo di inclinazione
cosBeta = (1 - ax(i,j)^2)^0.5;
Z = SpeTL(i)*cosBeta;
Za = SpeTL(i) - Z; % L'abbassamento è POSITIVO

end